/**
 * @fileoverview Calculate exponential backoff time
 */
/**
 * Calculate the exponential backoff time with randomized jitter
 * @param {int} numRetries Which retry number this one will be
 * @param {int} baseInterval The base retry interval set in config
 * @returns {int} The number of milliseconds after which to retry
 */
declare const _default: (numRetries: number, baseInterval: number) => number;
export = _default;
